<?php

namespace App\Entity;

use ApiPlatform\Core\Annotation\ApiResource;
use App\Repository\TTransactionsSalesInvoiceNoRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ApiResource()
 * @ORM\Entity(repositoryClass=TTransactionsSalesInvoiceNoRepository::class)
 */
class TTransactionsSalesInvoiceNo
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=60, nullable=true)
     */
    private $invoiceSystemNo;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getInvoiceSystemNo(): ?string
    {
        return $this->invoiceSystemNo;
    }

    public function setInvoiceSystemNo(?string $invoiceSystemNo): self
    {
        $this->invoiceSystemNo = $invoiceSystemNo;

        return $this;
    }
}
